Loading...
Searching...
No Matches
juce::IIRCoefficients Class Reference

## Detailed Description

A set of coefficients for use in an IIRFilter object.

See also
  IIRFilter

The documentation for this class was generated from the following file:

- juce_audio_basics/utilities/juce_IIRFilter.h

## Public Member Functions

| IIRCoefficients () noexcept
| Creates a null set of coefficients (which will produce silence).
| IIRCoefficients (double c1, double c2, double c3, double c4, double c5, double c6) noexcept
| Directly constructs an object from the raw coefficients.
| IIRCoefficients (const IIRCoefficients &) noexcept
| Creates a copy of another filter.
IIRCoefficients & | operator= (const IIRCoefficients &) noexcept
| Creates a copy of another filter.
| ~IIRCoefficients () noexcept
| Destructor.

## Static Public Member Functions

static IIRCoefficients | makeLowPass (double sampleRate, double frequency) noexcept
| Returns the coefficients for a low-pass filter.
static IIRCoefficients | makeLowPass (double sampleRate, double frequency, double Q) noexcept
| Returns the coefficients for a low-pass filter with variable Q.
static IIRCoefficients | makeHighPass (double sampleRate, double frequency) noexcept
| Returns the coefficients for a high-pass filter.
static IIRCoefficients | makeHighPass (double sampleRate, double frequency, double Q) noexcept
| Returns the coefficients for a high-pass filter with variable Q.
static IIRCoefficients | makeBandPass (double sampleRate, double frequency) noexcept
| Returns the coefficients for a band-pass filter.
static IIRCoefficients | makeBandPass (double sampleRate, double frequency, double Q) noexcept
| Returns the coefficients for a band-pass filter with variable Q.
static IIRCoefficients | makeNotchFilter (double sampleRate, double frequency) noexcept
| Returns the coefficients for a notch filter.
static IIRCoefficients | makeNotchFilter (double sampleRate, double frequency, double Q) noexcept
| Returns the coefficients for a notch filter with variable Q.
static IIRCoefficients | makeAllPass (double sampleRate, double frequency) noexcept
| Returns the coefficients for an all-pass filter.
static IIRCoefficients | makeAllPass (double sampleRate, double frequency, double Q) noexcept
| Returns the coefficients for an all-pass filter with variable Q.
static IIRCoefficients | makeLowShelf (double sampleRate, double cutOffFrequency, double Q, float gainFactor) noexcept
| Returns the coefficients for a low-pass shelf filter with variable Q and gain.
static IIRCoefficients | makeHighShelf (double sampleRate, double cutOffFrequency, double Q, float gainFactor) noexcept
| Returns the coefficients for a high-pass shelf filter with variable Q and gain.
static IIRCoefficients | makePeakFilter (double sampleRate, double centreFrequency, double Q, float gainFactor) noexcept
| Returns the coefficients for a peak filter centred around a given frequency, with a variable Q and gain.

## Public Attributes

float | coefficients [5]
| The raw coefficients.

## Constructors and Destructors

## IIRCoefficients() [1/3]

juce::IIRCoefficients::IIRCoefficients | ( |  | ) |

noexcept

Creates a null set of coefficients (which will produce silence).

Referenced by IIRCoefficients(), IIRCoefficients(), makeAllPass(), makeAllPass(), makeBandPass(), makeBandPass(), makeHighPass(), makeHighPass(), makeHighShelf(), makeLowPass(), makeLowPass(), makeLowShelf(), makeNotchFilter(), makeNotchFilter(), makePeakFilter(), operator=(), and ~IIRCoefficients().

## IIRCoefficients() [2/3]

juce::IIRCoefficients::IIRCoefficients | ( | double | c1,
|  | double | c2,
|  | double | c3,
|  | double | c4,
|  | double | c5,
|  | double | c6 )

noexcept

Directly constructs an object from the raw coefficients.

Most people will want to use the static methods instead of this, but the constructor is public to allow tinkerers to create their own custom filters!

References IIRCoefficients().

## IIRCoefficients() [3/3]

juce::IIRCoefficients::IIRCoefficients | ( | const IIRCoefficients & |  | ) |

noexcept

Creates a copy of another filter.

References IIRCoefficients().

## ~IIRCoefficients()

juce::IIRCoefficients::~IIRCoefficients | ( |  | ) |

noexcept

Destructor.

References IIRCoefficients().

## Member Functions

## operator=()

IIRCoefficients & juce::IIRCoefficients::operator= | ( | const IIRCoefficients & |  | ) |

noexcept

Creates a copy of another filter.

References IIRCoefficients().

## makeLowPass() [1/2]

IIRCoefficients juce::IIRCoefficients::makeLowPass | ( | double | sampleRate,
|  | double | frequency )

static noexcept

Returns the coefficients for a low-pass filter.

References IIRCoefficients(), and makeLowPass().

Referenced by makeLowPass(), and makeLowPass().

## makeLowPass() [2/2]

IIRCoefficients juce::IIRCoefficients::makeLowPass | ( | double | sampleRate,
|  | double | frequency,
|  | double | Q )

static noexcept

Returns the coefficients for a low-pass filter with variable Q.

References IIRCoefficients(), and makeLowPass().

## makeHighPass() [1/2]

IIRCoefficients juce::IIRCoefficients::makeHighPass | ( | double | sampleRate,
|  | double | frequency )

static noexcept

Returns the coefficients for a high-pass filter.

References IIRCoefficients(), and makeHighPass().

Referenced by makeHighPass(), and makeHighPass().

## makeHighPass() [2/2]

IIRCoefficients juce::IIRCoefficients::makeHighPass | ( | double | sampleRate,
|  | double | frequency,
|  | double | Q )

static noexcept

Returns the coefficients for a high-pass filter with variable Q.

References IIRCoefficients(), and makeHighPass().

## makeBandPass() [1/2]

IIRCoefficients juce::IIRCoefficients::makeBandPass | ( | double | sampleRate,
|  | double | frequency )

static noexcept

Returns the coefficients for a band-pass filter.

References IIRCoefficients(), and makeBandPass().

Referenced by makeBandPass(), and makeBandPass().

## makeBandPass() [2/2]

IIRCoefficients juce::IIRCoefficients::makeBandPass | ( | double | sampleRate,
|  | double | frequency,
|  | double | Q )

static noexcept

Returns the coefficients for a band-pass filter with variable Q.

References IIRCoefficients(), and makeBandPass().

## makeNotchFilter() [1/2]

IIRCoefficients juce::IIRCoefficients::makeNotchFilter | ( | double | sampleRate,
|  | double | frequency )

static noexcept

Returns the coefficients for a notch filter.

References IIRCoefficients(), and makeNotchFilter().

Referenced by makeNotchFilter(), and makeNotchFilter().

## makeNotchFilter() [2/2]

IIRCoefficients juce::IIRCoefficients::makeNotchFilter | ( | double | sampleRate,
|  | double | frequency,
|  | double | Q )

static noexcept

Returns the coefficients for a notch filter with variable Q.

References IIRCoefficients(), and makeNotchFilter().

## makeAllPass() [1/2]

IIRCoefficients juce::IIRCoefficients::makeAllPass | ( | double | sampleRate,
|  | double | frequency )

static noexcept

Returns the coefficients for an all-pass filter.

References IIRCoefficients(), and makeAllPass().

Referenced by makeAllPass(), and makeAllPass().

## makeAllPass() [2/2]

IIRCoefficients juce::IIRCoefficients::makeAllPass | ( | double | sampleRate,
|  | double | frequency,
|  | double | Q )

static noexcept

Returns the coefficients for an all-pass filter with variable Q.

References IIRCoefficients(), and makeAllPass().

## makeLowShelf()

IIRCoefficients juce::IIRCoefficients::makeLowShelf | ( | double | sampleRate,
|  | double | cutOffFrequency,
|  | double | Q,
|  | float | gainFactor )

static noexcept

Returns the coefficients for a low-pass shelf filter with variable Q and gain.

The gain is a scale factor that the low frequencies are multiplied by, so values greater than 1.0 will boost the low frequencies, values less than 1.0 will attenuate them.

References IIRCoefficients(), and makeLowShelf().

Referenced by makeLowShelf().

## makeHighShelf()

IIRCoefficients juce::IIRCoefficients::makeHighShelf | ( | double | sampleRate,
|  | double | cutOffFrequency,
|  | double | Q,
|  | float | gainFactor )

static noexcept

Returns the coefficients for a high-pass shelf filter with variable Q and gain.

The gain is a scale factor that the high frequencies are multiplied by, so values greater than 1.0 will boost the high frequencies, values less than 1.0 will attenuate them.

References IIRCoefficients(), and makeHighShelf().

Referenced by makeHighShelf().

## makePeakFilter()

IIRCoefficients juce::IIRCoefficients::makePeakFilter | ( | double | sampleRate,
|  | double | centreFrequency,
|  | double | Q,
|  | float | gainFactor )

static noexcept

Returns the coefficients for a peak filter centred around a given frequency, with a variable Q and gain.

The gain is a scale factor that the centre frequencies are multiplied by, so values greater than 1.0 will boost the centre frequencies, values less than 1.0 will attenuate them.

References IIRCoefficients(), and makePeakFilter().

Referenced by makePeakFilter().

## Member Data Documentation

## coefficients

float juce::IIRCoefficients::coefficients[5]

The raw coefficients.

You should leave these numbers alone unless you really know what you're doing.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited